import { UserRole } from 'src/services/users';

export const appAccessList = [
  {
    name: 'wekan',
    image: '/assets/wekan.svg',
    label: 'Wekan',
    defaultSubdomain: 'wekan.{domain}',
    documentationUrl: 'https://github.com/wekan/wekan/wiki',
  },
  {
    name: 'wordpress',
    image: '/assets/wordpress.svg',
    label: 'Wordpress',
    defaultSubdomain: 'www.{domain}',
    documentationUrl: 'https://wordpress.org/support/',
  },
  {
    name: 'nextcloud',
    image: '/assets/nextcloud.svg',
    label: 'Nextcloud',
    defaultSubdomain: 'files.{domain}',
    documentationUrl: 'https://docs.nextcloud.com/server/latest/user_manual/en/',
  },
  {
    name: 'zulip',
    image: '/assets/zulip.svg',
    label: 'Zulip',
    defaultSubdomain: 'zulip.{domain}',
    documentationUrl: 'https://docs.zulip.com/help/',
  },
];

export const allAppAccessList = [
  {
    name: 'dashboard',
    image: '/assets/logo-small.svg',
    label: 'Dashboard',
  },
  ...appAccessList,
];

export const initialAppRoles = [
  {
    name: 'dashboard',
    role: UserRole.User,
  },
  {
    name: 'wekan',
    role: UserRole.User,
  },
  {
    name: 'wordpress',
    role: UserRole.User,
  },
  {
    name: 'nextcloud',
    role: UserRole.User,
  },
  {
    name: 'zulip',
    role: UserRole.User,
  },
];

export const initialUserForm = {
  id: '',
  name: '',
  email: '',
  app_roles: initialAppRoles,
  status: '',
};
